// Scripts for decorative blocks

ServerEvents.recipes(event => {

// Fool's Gold
event.shaped(
  Item.of('kubejs:fool_gold_block'),
  [
    'aaa',
    'aaa',
    'aaa'
  ],
  {
    a: 'kubejs:fool_gold_ingot'
  }
)

event.shapeless(
  Item.of('9x kubejs:fool_gold_ingot'),
  [
    'kubejs:fool_gold_block'
  ]
)

event.shaped(
  Item.of('kubejs:comp_fool_gold_block'),
  [
    'aaa',
    'aaa',
    'aaa'
  ],
  {
    a: 'kubejs:fool_gold_block'
  }
)
	
event.shapeless(
  Item.of('9x kubejs:fool_gold_block'),
  [
    'kubejs:comp_fool_gold_block'
  ]
)

event.shaped(
  Item.of('4x kubejs:fool_gold_brick'),
  [
    'aa',
    'aa'
  ],
  {
    a: 'kubejs:fool_gold_block'
  }
)

event.shaped(
  Item.of('2x kubejs:fool_gold_pillar'),
  [
    'a',
    'a'
  ],
  {
    a: 'kubejs:fool_gold_block'
  }
)

// Prismatter
event.shaped(
  Item.of('kubejs:prismatter_block'),
  [
    'aaa',
    'aaa',
    'aaa'
  ],
  {
    a: '#kubejs:prismatter'
  }
)

event.shapeless(
  Item.of('9x kubejs:prismatter'),
  [
    'kubejs:prismatter_block'
  ]
)

event.shaped(
  Item.of('8x kubejs:prismatter_slate'),
  [
    'aaa',
    'aba',
    'aaa'
  ],
  {
    a: 'minecraft:glass',
	b: 'kubejs:prisma_dust'
  }
)

event.shaped(
  Item.of('4x kubejs:prismatter_tile'),
  [
    'aa',
    'aa'
  ],
  {
    a: 'kubejs:prismatter_slate'
  }
)

event.shaped(
  Item.of('4x kubejs:prismatter_lamp'),
  [
    ' a ',
    'aba',
    ' a '
  ],
  {
    a: 'minecraft:sea_lantern',
	b: '#kubejs:prismatter'
  }
)

})